Bug 1774741 - Review Request: bcftools - Tools for genomic variant calling and manipulating VCF/BCF files
Summary: Review Request: bcftools - Tools for genomic variant calling and manipulating...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1131121
TreeView+ depends on / blocked
 
Reported: 2019-11-20 20:33 UTC by Jun Aruga
Modified: 2020-05-22 00:44 UTC (History)
3 users (show)

Fixed In Version: bcftools-1.9-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-12 01:06:47 UTC
Type: ---
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Jun Aruga 2019-11-20 20:33:58 UTC
Spec URL: https://raw.githubusercontent.com/junaruga/fedora-bcftools/master/bcftools.spec
SRPM URL: https://github.com/junaruga/fedora-bcftools/blob/master/bcftools-1.9-1.fc32.src.rpm?raw=true
Description: Tools for genomic variant calling and manipulating VCF/BCF files
Fedora Account System Username: jaruga

Comment 1 Jun Aruga 2019-11-20 20:39:44 UTC
Hi
I would like to package the bio tool: bcftools using htslib in samtools project.

I did following tests.

* mock build: ok
* rpmlint check: ok
* Install check: ok
* Check on mock environment: ok
* Scratch build: ok
  https://koji.fedoraproject.org/koji/taskinfo?taskID=38927483

Note I am using `ExcludeArch: s390x`, because it is not supported.
https://fedoraproject.org/wiki/Architectures#ExcludeArch_.26_ExclusiveArch

Someone, could review it?

https://fedoraproject.org/wiki/Package_Review_Process
> A reviewer takes on the task of reviewing your package. They will set the fedora-review flag to ?

Thank you.

Comment 2 Zbigniew Jędrzejewski-Szmek 2019-11-30 14:25:20 UTC
> URL: http://www.htslib.org/
https:// works.

> %{_bindir}/*
Please don't use a wildcard. This often leads to problems when the name changes
or something additional is installed.

%{_bindir}/bcftools
%{_bindir}/color-chrs.pl
%{_bindir}/guess-ploidy.py
%{_bindir}/plot-roh.py
%{_bindir}/plot-vcfstats
%{_bindir}/run-roh.pl
%{_bindir}/vcfutils.pl

rpmlint:
bcftools.src: W: spelling-error Summary(en_US) genomic -> gnomic, ergonomic
bcftools.src: W: spelling-error %description -l en_US genomic -> gnomic, ergonomic
bcftools.src: W: spelling-error %description -l en_US polysomy -> polys
bcftools.src: W: spelling-error %description -l en_US subcommand -> sub command, sub-command, commandant
bcftools.x86_64: W: spelling-error Summary(en_US) genomic -> gnomic, ergonomic
bcftools.x86_64: W: spelling-error %description -l en_US genomic -> gnomic, ergonomic
bcftools.x86_64: W: spelling-error %description -l en_US polysomy -> polys
bcftools.x86_64: W: spelling-error %description -l en_US subcommand -> sub command, sub-command, commandant
bcftools.x86_64: W: no-manual-page-for-binary color-chrs.pl
bcftools.x86_64: W: no-manual-page-for-binary guess-ploidy.py
bcftools.x86_64: W: no-manual-page-for-binary plot-roh.py
bcftools.x86_64: W: no-manual-page-for-binary plot-vcfstats
bcftools.x86_64: W: no-manual-page-for-binary run-roh.pl
bcftools.x86_64: W: no-manual-page-for-binary vcfutils.pl
4 packages and 0 specfiles checked; 0 errors, 14 warnings.
→ all bogus warnings.

+ package name is OK
+ latest version
+ license is acceptable for Fedora (GPLv2)
+ license is specified correctly
+ builds and installs OK

Package is APPROVED. Please fix the issues listed above when importing.

Comment 3 Jun Aruga 2019-11-30 22:28:38 UTC
Hi Zbigniew,

> Package is APPROVED. Please fix the issues listed above when importing.

Sure.
I really appreciate your help. I fixed your mentioned 2 points, and updated above Spec URL and SRPM URL just in case.


Now waiting the repo will be created.

```
$ fedpkg request-repo bcftools 1774741
https://pagure.io/releng/fedora-scm-requests/issue/20170
```

Comment 4 Igor Raits 2019-12-02 07:45:09 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/bcftools

Comment 5 Fedora Update System 2019-12-03 18:20:33 UTC
FEDORA-2019-389d258c80 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-389d258c80

Comment 6 Fedora Update System 2019-12-04 00:55:22 UTC
bcftools-1.9-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-309d17cf8d

Comment 7 Fedora Update System 2019-12-04 02:20:38 UTC
bcftools-1.9-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-389d258c80

Comment 8 Fedora Update System 2019-12-12 01:06:47 UTC
bcftools-1.9-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-12-12 01:54:07 UTC
bcftools-1.9-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-05-06 20:20:12 UTC
FEDORA-EPEL-2020-1de4190a52 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-1de4190a52

Comment 11 Fedora Update System 2020-05-06 20:20:13 UTC
FEDORA-EPEL-2020-f7b02980b0 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f7b02980b0

Comment 12 Fedora Update System 2020-05-07 04:56:25 UTC
FEDORA-EPEL-2020-1de4190a52 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-1de4190a52

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-05-07 05:28:01 UTC
FEDORA-EPEL-2020-f7b02980b0 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f7b02980b0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-05-22 00:39:27 UTC
FEDORA-EPEL-2020-1de4190a52 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-05-22 00:44:14 UTC
FEDORA-EPEL-2020-f7b02980b0 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.